Bug 852786 - not all certificates in OpenSSL compatible CA certificate directory format are loaded
not all certificates in OpenSSL compatible CA certificate directory format ar...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 11:21 EDT by Jan Vcelak
Modified: 2013-03-03 20:30 EST (History)
5 users (show)

See Also:
Fixed In Version: openldap-2.4.32-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 811468
Environment:
Last Closed: 2012-12-20 10:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Vcelak 2012-08-29 11:21:53 EDT
+++ This bug was initially created as a clone of Bug #811468 +++

+++ This bug was initially created as a clone of Bug #609722 +++

....

--- Additional comment from jvcelak@redhat.com on 2012-08-29 16:46:38 CEST ---

Created attachment 607923 [details]
proposed patch

Proposed patch. Uses regular expressions instead of checking for '.0' file extension wrongly. Following format is allowed: ^[0-9a-f]{8}\\.[0-9]+$

Upstream submission:
http://www.openldap.org/its/index.cgi?findid=7374
Comment 1 Fedora Update System 2012-09-19 05:11:44 EDT
openldap-2.4.32-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openldap-2.4.32-3.fc17
Comment 2 Fedora Update System 2012-09-19 05:13:16 EDT
openldap-2.4.32-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openldap-2.4.32-3.fc18
Comment 3 Fedora Update System 2012-09-20 01:58:15 EDT
Package openldap-2.4.32-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openldap-2.4.32-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14390/openldap-2.4.32-3.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-10-07 22:24:29 EDT
openldap-2.4.32-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-12-20 10:41:53 EST
openldap-2.4.32-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.